import request from '@/config/axios'

export interface MpkMenuVO {
  id: string
  name: string
  sort: number
}

// 查询列表
export const getList = () => {
  return request.get({ url: '/model/mpk/menu/list' })
}

// 获得
export const getMenu = (id: number) => {
  return request.get({ url: '/model/mpk/menu/get?id=' + id })
}

// 新增
export const createMenu = (data: MpkIconVO) => {
  return request.post({ url: '/model/mpk/menu/create', data })
}

// 修改
export const updateMenu = (data: MpkIconVO) => {
  return request.put({ url: '/model/mpk/menu/update', data })
}

// 删除
export const deleteMenu = (id: string) => {
  return request.delete({ url: '/model/mpk/menu/delete?id=' + id })
}
